var angular = require('cla_angular');
window.angular = angular;

require('./projects.libs.js');
require('user_picker');
require('ng.cla.core.breadcrumb');
require('ng.cla.core.lmsg');
require('ng.cla.core.html_editor');
require('imports-loader?angular=cla_angular!./lib/ng-sortable.js');
require('ng.cla.core.user_picker');
require('directive/datePicker.js');

require('./projects.tasks_util');

// Other modules
require('./ng/modules/widgets/projects_widgets.module.js');
require('./ng/modules/tasks/tasks.module.js');

angular.module('taskListApp', ['ui.bootstrap', 'ui.sortable', 'claromentis.project', 'angularUtils.directives.dirPagination', 'cla.core.html_editor', 'cla.core.lmsg', 'cla.core.breadcrumb', 'claromentis.projects.widgets', 'claromentis.project.tasks_util']);

require('./controller/taskListCtrl.js');

require('./task/taskEdit.directive.js');
require('./task/taskAddButton.directive.js');
require('./task/taskEdit.service.js');
require('./directive/tasklist/tasklist.service.js');
require('./directive/tasklist/tasklist.directive.js');
require('./directive/tasklist/tasklist_filters.directive.js');
